package com.ibm.commerce.sap.jca.commands;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  	WHO    Description
// --------------------------------------------------------------------
// 020527  	Rajesh Danda
//
////////////////////////////////////////////////////////////////////////////////

import com.ibm.commerce.datatype.*;
import com.ibm.commerce.ras.*;
import com.ibm.commerce.exception.*;
import com.ibm.commerce.usermanagement.commands.*;
 
/**
 * The new implementation class for PostUserRegistrationCmd
 * This invokes AddSAPUserRegistrationCmd to register the
 * user in SAP.
 */
 
public class SAPExtUserRegistrationAddCmdImpl extends PostUserRegistrationAddCmdImpl implements PostUserRegistrationAddCmd
{
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	public final static String CLASSNAME = "com.ibm.commerce.sap.jca.commands.SAPExtUserRegistrationAddCmdImpl";
	protected TypedProperty requestProperties = null;
	protected TypedProperty responseProperties = null;
public TypedProperty getRequestProperties()
{
	return requestProperties;
}
public TypedProperty getResponseProperties()
{
	return responseProperties;
}
public void performExecute() throws com.ibm.commerce.exception.ECException
{
	final String METHODNAME = "performExecute"; 		 
    ECTrace.entry(ECTraceIdentifiers.COMPONENT_EXTERN, CLASSNAME, METHODNAME);
     
	//Add the business logic here

	//register only if the profile type is C or parent organization is Default Organization
	String profileType = requestProperties.getString(ECUserConstants.EC_USER_PROFILETYPE,"");
	String parentId = requestProperties.getString(ECUserConstants.EC_PARENTMEMBERID,"");

    // Here -2000, refers to the Default Organization and any
    // customer having this as the parent is assumed to be a B2C user

	if (profileType.equals(ECUserConstants.EC_USER_PROFILE_CUSTOMER) || (parentId.equals("-2000"))){
		AddSAPUserRegistrationCmd userEntity = (AddSAPUserRegistrationCmd) com.ibm.commerce.command.CommandFactory.createCommand(com.ibm.commerce.sap.jca.commands.AddSAPUserRegistrationCmd.NAME,getStoreId());
		userEntity.setRequestProperties(requestProperties);
		userEntity.setResponseProperties(responseProperties);
		userEntity.execute();

		userEntity.getRequestProperties();
		userEntity.getResponseProperties();
	}

  	ECTrace.exit(ECTraceIdentifiers.COMPONENT_EXTERN, CLASSNAME, METHODNAME);
}
public void setRequestProperties(TypedProperty aRequestProperties)
{
	requestProperties = aRequestProperties;
}
public void setResponseProperties(TypedProperty aResponseProperties)
{
	responseProperties = aResponseProperties;
}
}
