package com.ibm.commerce.sap.jca.commands;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  	WHO    Description
// --------------------------------------------------------------------
// 020527  	Anand
//
////////////////////////////////////////////////////////////////////////////////

import com.ibm.commerce.datatype.*;

/**
 * A task command that will be called by SAPTrackOrderStatusCmd
 * command to retreive the status from the backend system. <BR>
 *
 * Inputs of this task command are:
 * <pre>
 * setOrderId(String)
 * - set the ordersID. Called by controller command to pass in ordersID
 * </pre>
 *
 */
 
public interface SAPStatusOrderCmd extends com.ibm.commerce.command.TaskCommand {
	public static final String COPYRIGHT						= com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	public static final String NAME								= "com.ibm.commerce.sap.jca.commands.SAPStatusOrderCmd";
	public static final String defaultCommandClassName			= "com.ibm.commerce.sap.jca.commands.SAPStatusOrderCmdImpl";
	
/**
 * Insert the method's description here.
 * Creation date: (3/7/2002 10:08:01 PM)
 * @return strOrderId java.lang.String
 */
public String getOrderId();
/**
 * Get request properties.
 * 
 * @return Request Properties
 */
public TypedProperty getRequestProperties();
/**
 * Get response properties.
 * 
 * @return Response properties
 */
public TypedProperty getResponseProperties();
/**
 * Insert the method's description here.
 * Creation date: (3/7/2002 10:08:01 PM)
 * @param strOrderId java.lang.String
 */
public void setOrderId(String strOrderId);
/**
 * Set request properties
 * 
 * @param aRequestProperties Request properties
 */
public void setRequestProperties(TypedProperty aRequestProperties);
/**
 * Set response properties
 * 
 * @param aResponseProperties Response properties
 */
public void setResponseProperties(TypedProperty aResponseProperties);
}
