package com.ibm.commerce.sap.jca.commands;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  	WHO    Description
// --------------------------------------------------------------------
// 020527  	Anand
//
////////////////////////////////////////////////////////////////////////////////

import com.ibm.commerce.datatype.*;
import com.ibm.commerce.command.*;

/**
 * The interface for the TrackOrderStatus command which processes the 
 * buyers request to retreive the status from the backend system.
 * 
 */


public interface SAPTrackOrderStatusCmd extends ControllerCommand 
{

	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	public final static String NAME = "com.ibm.commerce.sap.jca.commands.SAPTrackOrderStatusCmd";
	public static String defaultCommandClassName = "com.ibm.commerce.sap.jca.commands.SAPTrackOrderStatusCmdImpl";

/**
 * Get request properties.
 * 
 * @return Request Properties
 */
public TypedProperty getRequestProperties();
/**
 * Get response properties.
 * 
 * @return Response properties
 */
public TypedProperty getResponseProperties();
/**
 * Set request properties
 * 
 * @param aRequestProperties Request properties
 */
public void setRequestProperties(TypedProperty aRequestProperties);
/**
 * Set response properties
 * 
 * @param aResponseProperties Response properties
 */
public void setResponseProperties(TypedProperty aResponseProperties);
}
